SET(ALGORITHM_PROFILE_UID_Namespace "org.mitk")
SET(ALGORITHM_PROFILE_UID_Name "MultiModal.rigid.Head2HeadNeck")
SET(ALGORITHM_PROFILE_UID_Version "1.0.0")

SET(ALGORITHM_PROFILE_Description "Algorithm is used for special cases where a head image and a head neck image (assumed to be the larger image in z direction) should be registered. It skips the lower part of the head neck image if a preinitialization (via geometric center or centroid) is used, to establish a better initialization. By default initializes via geometric centers.")
SET(ALGORITHM_PROFILE_Contact "Ralf Floca\; mitk-users@lists.sourceforge.net")

SET(ALGORITHM_PROFILE_DataType "Image")
SET(ALGORITHM_PROFILE_ResolutionStyle "3 (multi res)")
SET(ALGORITHM_PROFILE_DimMoving "3")
SET(ALGORITHM_PROFILE_ModalityMoving "MR" "any")
SET(ALGORITHM_PROFILE_DimTarget "3")
SET(ALGORITHM_PROFILE_ModalityTarget "MR" "any")
SET(ALGORITHM_PROFILE_Subject "any")
SET(ALGORITHM_PROFILE_Object "Head" "Head/Neck")
SET(ALGORITHM_PROFILE_TransformModel "rigid")
SET(ALGORITHM_PROFILE_Metric "Mattes mutual information")
SET(ALGORITHM_PROFILE_TransformDomain "global")
SET(ALGORITHM_PROFILE_Optimization "Regular Step Gradient Descent")
SET(ALGORITHM_PROFILE_Keywords "basic" "pre initialization" "Head/Neck" "HeadNeck" "multimodal" "rigid")
