/*============================================================================

The Medical Imaging Interaction Toolkit (MITK)

Copyright (c) German Cancer Research Center (DKFZ)
All rights reserved.

Use of this source code is governed by a 3-clause BSD license that can be
found in the LICENSE file.

============================================================================*/


#include "berryIWorkbenchCommandConstants.h"

namespace berry {

const QString IWorkbenchCommandConstants::FILE_NEW = "org.blueberry.ui.newWizard";
const QString IWorkbenchCommandConstants::FILE_OPEN = "org.blueberry.ui.file.openLocal";
const QString IWorkbenchCommandConstants::FILE_SAVE = "org.blueberry.ui.file.save";
const QString IWorkbenchCommandConstants::FILE_EXIT = "org.blueberry.ui.file.exit";

const QString IWorkbenchCommandConstants::EDIT_UNDO = "org.blueberry.ui.edit.undo";
const QString IWorkbenchCommandConstants::EDIT_REDO = "org.blueberry.ui.edit.redo";
const QString IWorkbenchCommandConstants::EDIT_CUT = "org.blueberry.ui.edit.cut";
const QString IWorkbenchCommandConstants::EDIT_COPY = "org.blueberry.ui.edit.copy";
const QString IWorkbenchCommandConstants::EDIT_PASTE = "org.blueberry.ui.edit.paste";
const QString IWorkbenchCommandConstants::EDIT_DELETE = "org.blueberry.ui.edit.delete";

const QString IWorkbenchCommandConstants::WINDOW_NEW_WINDOW = "org.blueberry.ui.window.newWindow";
const QString IWorkbenchCommandConstants::WINDOW_NEW_EDITOR = "org.blueberry.ui.window.newEditor";
const QString IWorkbenchCommandConstants::WINDOW_SHOW_VIEW_MENU = "org.blueberry.ui.window.showViewMenu";
const QString IWorkbenchCommandConstants::WINDOW_ACTIVATE_EDITOR = "org.blueberry.ui.window.activateEditor";
const QString IWorkbenchCommandConstants::WINDOW_MAXIMIZE_ACTIVE_VIEW_OR_EDITOR = "org.blueberry.ui.window.maximizePart";
const QString IWorkbenchCommandConstants::WINDOW_MINIMIZE_ACTIVE_VIEW_OR_EDITOR = "org.blueberry.ui.window.minimizePart";
const QString IWorkbenchCommandConstants::WINDOW_NEXT_EDITOR = "org.blueberry.ui.window.nextEditor";
const QString IWorkbenchCommandConstants::WINDOW_PREVIOUS_EDITOR = "org.blueberry.ui.window.previousEditor";
const QString IWorkbenchCommandConstants::WINDOW_NEXT_VIEW = "org.blueberry.ui.window.nextView";
const QString IWorkbenchCommandConstants::WINDOW_PREVIOUS_VIEW = "org.blueberry.ui.window.previousView";
const QString IWorkbenchCommandConstants::WINDOW_NEXT_PERSPECTIVE = "org.blueberry.ui.window.nextPerspective";
const QString IWorkbenchCommandConstants::WINDOW_PREVIOUS_PERSPECTIVE = "org.blueberry.ui.window.previousPerspective";
const QString IWorkbenchCommandConstants::WINDOW_CLOSE_ALL_PERSPECTIVES = "org.blueberry.ui.window.closeAllPerspectives";
const QString IWorkbenchCommandConstants::WINDOW_CLOSE_PERSPECTIVE = "org.blueberry.ui.window.closePerspective";
const QString IWorkbenchCommandConstants::WINDOW_CLOSE_PERSPECTIVE_PARM_ID = "org.blueberry.ui.window.closePerspective.perspectiveId";
const QString IWorkbenchCommandConstants::WINDOW_CLOSE_PART = "org.blueberry.ui.file.closePart";
const QString IWorkbenchCommandConstants::WINDOW_CUSTOMIZE_PERSPECTIVE = "org.blueberry.ui.window.customizePerspective";
const QString IWorkbenchCommandConstants::WINDOW_PIN_EDITOR = "org.blueberry.ui.window.pinEditor";
const QString IWorkbenchCommandConstants::WINDOW_PREFERENCES = "org.blueberry.ui.window.preferences";
const QString IWorkbenchCommandConstants::WINDOW_PREFERENCES_PARM_PAGEID = "preferencePageId";
const QString IWorkbenchCommandConstants::WINDOW_RESET_PERSPECTIVE = "org.blueberry.ui.window.resetPerspective";
const QString IWorkbenchCommandConstants::WINDOW_SAVE_PERSPECTIVE_AS = "org.blueberry.ui.window.savePerspective";
const QString IWorkbenchCommandConstants::WINDOW_SHOW_KEY_ASSIST = "org.blueberry.ui.window.showKeyAssist";

const QString IWorkbenchCommandConstants::HELP_HELP_CONTENTS = "org.blueberry.ui.help.helpContents";
const QString IWorkbenchCommandConstants::HELP_HELP_SEARCH = "org.blueberry.ui.help.helpSearch";
const QString IWorkbenchCommandConstants::HELP_DYNAMIC_HELP = "org.blueberry.ui.help.dynamicHelp";
const QString IWorkbenchCommandConstants::HELP_WELCOME = "org.blueberry.ui.help.intro";
const QString IWorkbenchCommandConstants::HELP_ABOUT = "org.blueberry.ui.help.aboutAction";

const QString IWorkbenchCommandConstants::VIEWS_SHOW_VIEW = "org.blueberry.ui.views.showView";
const QString IWorkbenchCommandConstants::VIEWS_SHOW_VIEW_PARM_ID = "org.blueberry.ui.views.showView.viewId";
const QString IWorkbenchCommandConstants::VIEWS_SHOW_VIEW_SECONDARY_ID = "org.blueberry.ui.views.showView.secondaryId";
const QString IWorkbenchCommandConstants::VIEWS_SHOW_VIEW_PARM_FASTVIEW = "org.blueberry.ui.views.showView.makeFast";

const QString IWorkbenchCommandConstants::PERSPECTIVES_SHOW_PERSPECTIVE = "org.blueberry.ui.perspectives.showPerspective";
const QString IWorkbenchCommandConstants::PERSPECTIVES_SHOW_PERSPECTIVE_PARM_ID = "org.blueberry.ui.perspectives.showPerspective.perspectiveId";
const QString IWorkbenchCommandConstants::PERSPECTIVES_SHOW_PERSPECTIVE_PARM_NEWWINDOW = "org.blueberry.ui.perspectives.showPerspective.newWindow";

}
